Skip to main content
POST
/
workflows
/
start
Démarrer un Workflow
curl --request POST \
  --url https://api.nextprotocol.fr/workflows/start \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "job_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
  "workflow_type": "mahoraga-generation"
}
'
{
  "workflow_id": "mahoraga-generation-f47ac10b-58cc-4372-a567-0e02b2c3d479",
  "workflow_type": "mahoraga-generation",
  "status": "started"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
job_id
string<uuid>
required

ID du job à exécuter (doit exister dans oksi-jobs)

Example:

"f47ac10b-58cc-4372-a567-0e02b2c3d479"

workflow_type
string
default:mahoraga-generation

Type de workflow à démarrer

Example:

"mahoraga-generation"

Response

Workflow démarré avec succès

workflow_id
string

ID du workflow Temporal

Example:

"mahoraga-generation-f47ac10b-58cc-4372-a567-0e02b2c3d479"

workflow_type
string

Type de workflow démarré

Example:

"mahoraga-generation"

status
string

Statut du démarrage

Example:

"started"